Un utente ha chiesto informazioni su Code Snippets di Wordpress

errore di codice d stima ()

Un utente ha chiesto 👇

Ricevo il seguente errore anche se non ho inserito alcun frammento di codice:

[16-Jan-2019 17:32:29 UTC] Errore di analisi PHP: errore di sintassi, ‘-‘ imprevisto, previsto ‘(‘ in /home/networkservices/public_html/wp-content/plugins/code-snippets/php/snippet-ops.php(356): estimato () ‘d codice online 5

Ho controllato il database e il campo del codice è davvero vuoto. Ho anche svuotato la cache e utilizzato “define (‘CODE_SNIPPETS_SAFE_MODE’, true);” ma ricevo ancora questo errore.

Sto eseguendo wordpress v5.0.0 frammenti di codice v5.0.3 php server v5.6
Voglio aggiornare a php 7.x, ma wordpress non verrà caricato in php7 fintanto che i frammenti di codice sono attivati. Invece, ottengo una schermata vuota che dice l’errore sopra. (il sito viene caricato utilizzando php 5.6 e l’errore viene registrato nel file degli errori).

Qualche idea?

Grazie,
Michael Robinson

Autore del plugin

(@bungeshea)

2 anni, 1 mese fa

Sicuramente sembra che tu abbia uno snippet attivo che sta causando un errore. Suggerirei di rimuovere tutte le tabelle del database che vi finiscono snippets.

Stai eseguendo una rete multisito WordPress o non si tratta di un’installazione del sito?

Lanciatore di thread

(@twicealive)

2 anni, 1 mese fa

Grazie Shea

Ho trovato una tabella in un vecchio sito in cui il plugin non era attivo; quindi l’errore è stato facile da trovare. Da quando ho corretto la mia edizione del codice, tutto funziona correttamente.

Il tuo plugin valuta tutti gli snippet di codice che siano attivi o meno, anche se il plugin non è attivato per un sito e anche se è disabilitato tramite il file wp-config.

Mi piace.

Autore del plugin

(@bungeshea)

2 anni, 1 mese fa

È piuttosto strano da sentire. Non sono sicuro di come un plug-in inattivo possa fare qualcosa e il plug-in controlla se la costante della modalità provvisoria è impostata prima di eseguire qualsiasi cosa.

(@andylockhart)

2 anni, 1 mese fa

Potrebbe trattarsi di un problema simile, ma ricevo quanto segue:

Errore di sintassi CRITICO, imprevisto “:” in /home/marily91/public_html/wp-content/plugins/code-snippets/php/snippet-ops.php(356): estim () ‘d online code 2

Autore del plugin

(@bungeshea)

2 anni, 1 mese fa

Ciao @andylockhart,

Questo errore è causato dalla masterizzazione del codice online di uno dei tuoi pulsanti. Non è qualcosa che posso aggiustare nel plugin; dovrai monitorare e correggere lo snippet che ha causato l’errore.

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *